<%@ Page Language="C#" Debug="True" %>
<%@ Import Namespace="System.Data.OleDb" %>

<script runat="server">

// Anslutning frn ASP.NET med CS till MS Access.

// Standardprocedur
  public void Page_Load(object Sender, EventArgs E)
  {
    OleDbConnection oConn = new OleDbConnection();
    string strConn = "";
    string strResult = "Anslutningen lyckades.";

    // Anslut till databasen.

    // Connectionstrng.
    strConn = "Provider=Microsoft.Jet.OLEDB.4.0;data source=" + HttpContext.Current.Server.MapPath("skvg\till\din\databas\db.mdb");

    // Anslut till databasen.
    try
    {
      oConn.ConnectionString = strConn;
      oConn.Open();
    }
    catch(OleDbException eDBOpen)
    {
      // Ett fel intrffade.
      strResult = GetDBError(eDBOpen);
    }

    oConn.Close();
    LabelResult.Text = strResult;
  }

  // Display error strings from exception object and exit.
  public string GetDBError(OleDbException e)
  {
    int i = 0;
    string strResult = "";

    strResult += "Anslutningen misslyckades.<br/>\n";
    strResult += "Felmeddelande frn OleDB:<br/>\n<br/>\n";
    strResult += "<table border=\"1\">\n";
    strResult += "<tr>\n";
    strResult += "	<td><strong>#</strong></td>\n";
    strResult += "	<td><strong>Meddelande</strong></td>\n";
    strResult += "	<td><strong>Native</strong></td>\n";
    strResult += "	<td><strong>Klla</strong></td>\n";
    strResult += "	<td><strong>SQL</strong></td>\n";
    strResult += "</tr>\n";

    for (i = 0; i < e.Errors.Count; i++)
    {
      strResult += "<tr>\n";
      strResult += "	<td>" + i.ToString() + "</td>\n";
      strResult += "	<td>" + e.Errors[i].Message + "</td>\n";
      strResult += "	<td>" + e.Errors[i].NativeError.ToString() + "</td>\n";
      strResult += "	<td>" + e.Errors[i].Source + "</td>\n";
      strResult += "	<td>" + e.Errors[i].SQLState + "</td>\n";
      strResult += "</tr>\n";
    }

    strResult += "</table>\n";
    return strResult;
  }

</script>

<html>
	<head>
	<title>
		Anslutning frn ASP.NET till MS Access
	</title>
	</head>
<body>

<form runat="server">
	<asp:Label id="LabelResult" Text="" runat="server"/>
</form>

</body>
</html>
